Установка Joomla! на сервер провайдера с IIS6

Рейтинг:   / 1
ПлохоОтлично 

Собственно этот вопрос почему-то у многих возникает до сих пор и, почему-то, на него люди ищут ответа и, что удивительно, тоже до сих пор.

А если вам заказали немецкий сайт? Ведь столько много эмигрантов ищус дешёвого рабочего "мяса" вне пределах ФРГ. Так почему-бы не помочь бывшим соотечественникам за пару-тройку соттеных европейских денежных знаков?

Итак засыл будет следующим:

как развернуть немецкую Joomla! на сервере провайдера с IIS6

Вы не поверите, но очень много хостеров до сих пор хостят на IIS6, с установленным .Net 3.5 максимум. Жистоко это и грусно sad, а что поделать? У заказчика обычно бабла тоже не столько много, иначе бы он имел свой виртуальный сервер, что сейчас вполне себе можно и распространено, и обратился бы не к вам, а в какую-нибудь контору, которая ему создала бы что угодно и кого угодно, были бы бабки smiley.

Ну и такую конфигурацию я выбрал для засыла в блог потому, что она мне часто встречалась за помледние пару лет. И вот прямо сегодня очередной раз я должен по быстрому развернуть сайт, набить ему морду (поменять дизайн) и снаблить сайт некоторым количеством всяких вкусностей, так радующих глаз и сердце обычного среднестатистического немецкого заказчика.

Поскольку мои подуги в написании собственной CMS упёрлись в мою же лень и отсуствие свободного времени, то я выбрал систему, с которой часто сталкивался последние 4 года - Joomla!.

На сегодняшний день джумл/юмл две ипостасии - Joomla! 1.5.xx (самая распространённая) и Joomla! 1.7 (новая и меня полностью удовлетворившая, но, увы, малораспространённая).

Когда я упоминаю о распространённости, то имею ввиду не только количество инсталяций по миру, а количество модулей, шаблонов и прочего дела. Так, к примеру, только 10 плугов (плагинов) из 100 от Joomla! 1.5 подойдут к Joomla! 1.7, при этом их пока что мало адаптируют, хоть процесс и идёт. Эти все цифры надо относить к сегодняшнему числа, числу выхода данного засыла в блог 3.10.2011.

Исходя из этих соображений я выбрал для клиента Jommla! 1.5. Хотя сам пользуюсь 1.7